Bug 1000442 - sigsegv on .xml.gz file
sigsegv on .xml.gz file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libcomps (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Luza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 08:58 EDT by Ales Kozumplik
Modified: 2014-09-30 19:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 10:20:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducing input (384.63 KB, application/x-gzip)
2013-08-23 08:58 EDT, Ales Kozumplik
no flags Details

  None (edit)
Description Ales Kozumplik 2013-08-23 08:58:35 EDT
Created attachment 789597 [details]
reproducing input

Description of problem:

Attempting to directly load the attached file via fromxml_f() causes a SIGSEGV. I do not insist on having the .gz support integrated into libcomps, but no Python lib should ever end up with a SIGSEGV.
Comment 1 Ales Kozumplik 2013-08-23 09:00:30 EDT
version: libcomps-0.1.3-1.fc19.x86_64
Comment 2 Jindrich Luza 2013-08-27 10:20:47 EDT
Bug is fixed in libcomps-0.1.3-2, which appear in fedora 20 after freeze.

Note You need to log in before you can comment on or make changes to this bug.